class NSCanvasGradient {
    constructor(data) {
        this._colors = [];
        this._offsets = [];
        this._data = data;
    }
    _getGradientData() {
        return this._data;
    }
    get _gradientColors() {
        return this._colors;
    }
    get _gradientOffsets() {
        return this._offsets;
    }
    addColorStop(offset, color) {
        this._colors.push(color);
        this._offsets.push(offset);
    }
}
export { NSCanvasGradient as CanvasGradient };
//# sourceMappingURL=CanvasGradient.js.map