import { Canvas, CanvasView } from '@nativescript-community/ui-canvas';
declare class NSHTMLCanvasElement {
    private readonly _canvasViewRef;
    private readonly _contextRef;
    constructor(canvasView?: CanvasView, canvasContext?: Canvas);
    get view(): CanvasView;
    get nativeContext(): Canvas;
    get width(): number;
    set width(val: number);
    get height(): number;
    set height(val: number);
}
export { NSHTMLCanvasElement as HTMLCanvasElement };
